import { ScatterBase } from "./ScatterBase";
import { Series } from "./Series";
import { Type } from "igniteui-react-core";
import { ScatterFrame } from "./ScatterFrame";
import { SeriesView } from "./SeriesView";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterSplineSeries extends ScatterBase {
    static $t: Type;
    protected bi(): Series;
    protected get_fy(): boolean;
    constructor();
    protected cq(): SeriesView;
    ace: number;
    protected zn(): boolean;
    protected ji(): number;
    protected q4(a: any, b: string, c: any, d: any): void;
    protected b0(): SeriesHitTestMode;
    aa5(a: ScatterFrame, b: ScatterBaseView): void;
    private ach;
    private acd;
    protected get_zh(): boolean;
    o2(a: boolean, b: SeriesView): void;
    abg(a: ScatterFrame, b: ScatterBaseView): void;
    static $$p: string[];
}
